import unit4.ioLib.IO;

/**
 *       1  8
 *
 * @author   ,   ,  , 
 * @version 23/10/2006
 */
public class TestPhoneBook1
{
	public static void main (String[] args)
  	{
		
  		//   
		PhoneBook book = new PhoneBook();
		
		//     
		book.addContact("Galit Israel","03-9089730");
		book.addContact("Avner Chohen","02-7474747");
		book.addContact("Gershon Avraham","02-8900011");
		book.addContact("Daniela Yariv","04-5677708");
		book.addContact("Alice Marlo","04-5699300");
		book.addContact("Bob Denver","04-5699300");
			
		int op;
		do
		{
			op = showMenu();
			switch(op)
			{
				case 0: updateContactPhone(book); break;
				case 1: addContactToPhoneBook(book); break;
				case 2: delContactFromPhoneBook(book); break;
				case 3: serchContactFromPhoneBook(book); break;
				case 4: showPhoneBook(book); break;
				case 5: IO.println("Num Of Contacts: " + book.getAllContactsNames().length); break;
			}
			if(op != 6)
			{
				IO.pause("Press any key to show menu...");
				IO.println();
				IO.println();
			}
		}while(op!=6);
		
		IO.close(true);
  	} 		
	
	//           
	public static int showMenu()
	{
		int op;
		
		do
		{
			IO.println();
			IO.println("0. Update contact phone");
			IO.println("1. Add new contact");
			IO.println("2. Delete exist contact");
			IO.println("3. Search contact");
			IO.println("4. Show all contacts");
			IO.println("5. Number of conatcts");
			IO.println("6. Exit");
			IO.println();
			op = IO.readInt(">> Enter option [0-6]: ");
			IO.println();
			
		}while(op<0 || op>6);
		
		return(op);
	}
	
	//  /    
	public static void addContactToPhoneBook(PhoneBook book)
	{
		String name = IO.readString("Enter contact name: ");
		String phone = IO.readString("Enter contact phone: ");
		
		if(book.getPhone(name) != null)
			IO.print("Contact allready exist in phone book, phone was updated. ");
		else
		{
			book.addContact(name,phone);
			IO.print("Contact was add to phone book. ");
		}
	}

	//      
	public static void delContactFromPhoneBook(PhoneBook book)
	{
		String name = IO.readString("Enter contact name: ");
		
		if(book.getPhone(name) != null)
		{
			book.delContact(name);
			IO.print("Contact was deleted from phone book. ");
		}
		else
		{
			IO.setTextColor("RED");
			IO.print("Contact was not found in the phone book. ");
			IO.setTextColor("BLACK");
		}
	}
	
	//      
	public static void serchContactFromPhoneBook(PhoneBook book)
	{
		String name = IO.readString("Enter contact name: ");
		
		if(book.getPhone(name) != null)
		{
			IO.println("Contact was found in phone book: ");
			IO.println("Phone: " + book.getPhone(name));
		}
		else
			IO.print("Contact was not found in the phone book. ");
	}
	
	
	//          
	public static void updateContactPhone(PhoneBook book)
	{
		String name = IO.readString("Enter contact name: ");
		String phone = IO.readString("Enter contact new phone: ");
		
		if(book.getPhone(name) != null)
		{
			book.setPhone(name, phone);
			IO.print("Phone was updated for this contact. ");
		}
		else
		{
			IO.setTextColor("RED");
			IO.print("Contact was not found in the phone book. ");
			IO.setTextColor("BLACK");
		}
	}
	
	public static void showPhoneBook(PhoneBook book)
	{
		String[] allContactnames = book.getAllContactsNames();
		
		IO.setTextColor("blue");
		for (int i = 0; i < allContactnames.length; i++) 
			IO.printf("%-20s %10s\n",allContactnames[i],book.getPhone(allContactnames[i]));
		IO.setTextColor("black");
	}
}